using System;
using Newtonsoft.Json;

namespace Alipay.AopSdk.Core.Domain
{
	/// <summary>
	///     ContactInfo Data Structure.
	/// </summary>
	[Serializable]
	public class ContactInfo : AopObject
	{
		/// <summary>
		///     电子邮箱
		/// </summary>
		[JsonProperty("email")]
		public string Email { get; set; }

		/// <summary>
		///     身份证号
		/// </summary>
		[JsonProperty("id_card_no")]
		public string IdCardNo { get; set; }

		/// <summary>
		///     手机号
		/// </summary>
		[JsonProperty("mobile")]
		public string Mobile { get; set; }

		/// <summary>
		///     联系人名字
		/// </summary>
		[JsonProperty("name")]
		public string Name { get; set; }

		/// <summary>
		///     电话
		/// </summary>
		[JsonProperty("phone")]
		public string Phone { get; set; }

		/// <summary>
		///     联系人类型，取值范围：LEGAL_PERSON：法人；CONTROLLER：实际控制人；AGENT：代理人；OTHER：其他
		/// </summary>
		[JsonProperty("type")]
		public string Type { get; set; }
	}
}