using System;
using Newtonsoft.Json;

namespace Alipay.AopSdk.Core.Domain
{
	/// <summary>
	///     KoubeiMarketingCampaignAssetDetailQueryModel Data Structure.
	/// </summary>
	[Serializable]
	public class KoubeiMarketingCampaignAssetDetailQueryModel : AopObject
	{
		/// <summary>
		///     用户资产id，配合《用户口碑优惠资产查询接口》使用，返回券资产信息列表中的asset_id则为传递的入参值。
		/// </summary>
		[JsonProperty("asset_id")]
		public string AssetId { get; set; }

		/// <summary>
		///     资产类型(VOUCHER:券资产)  配合《用户口碑优惠资产查询接口》使用，返回券资产详情信息，则对应VOUCHER类型
		/// </summary>
		[JsonProperty("asset_type")]
		public string AssetType { get; set; }
	}
}